View Issue Details

IDProjectCategoryView StatusLast Update
0001813XdebugUncategorizedpublic2020-10-03 15:43
Reporterderick Assigned Toderick  
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Target Version3.0.0beta1Fixed in Version3.0.0beta1 
Summary0001813: Make sure that the xdebug_init_*_globals don't do more than they need to, and that init is only done when xdebug.mode != off
Description

Right now, the global initialisation is done regardless of which mode is used. Although that's not a problem per-sé, do check whether these global initialisations and allocations need to be done even if that mode is off, and potentially whether these can be moved to rinit.

Nothing should be initialised in MINIT/RINIT if Xdebug's mode = off.

TagsNo tags attached.
Operating System
PHP Version7.4.0-7.4.4

Relationships

has duplicate 0001862 closedderick Shortcut setting up any hook if xdebug.mode=off 

Activities

derick

2020-10-03 15:43

administrator   ~0005474

Fixed through https://github.com/xdebug/xdebug/pull/665

Issue History

Date Modified Username Field Change
2020-06-25 10:54 derick New Issue
2020-09-28 11:57 derick Summary Make sure that the xdebuginit_globals don't do more than they need to => Make sure that the xdebuginit_globals don't do more than they need to, and that init is only done when xdebug.mode != off
2020-09-28 11:57 derick Description Updated
2020-10-02 16:31 derick Target Version 3.0dev => 3.0.0beta1
2020-10-02 16:31 derick Relationship added has duplicate 0001862
2020-10-03 15:43 derick Assigned To => derick
2020-10-03 15:43 derick Status new => closed
2020-10-03 15:43 derick Resolution open => fixed
2020-10-03 15:43 derick Fixed in Version => 3.0.0beta1
2020-10-03 15:43 derick Note Added: 0005474